package com.ghy.common.enums;

/**
 * 微信消息通知枚举
 * @author clunt
 */

public enum WxMsgEnum {

    /** 任务大厅订单通知 */
    ORDER_PLAN("", "yqd3p4qsqn1RiyUb8kO4dPqoGKipRQg_y99nGw0jtLE"),
    /** 新订单通知 */
    NEW_ORDER("","gFoPAYF4J6Y_O5OzzNUbvMxTrsAS7aUWffdNH42xhzM"),
    /** 商城端消息通知 */
    CUSTOMER_ORDER("", "JtsGFPDjYhL2GbHfKxvTJaR_lLp8xLyw8VeR01Y0JHM"),
    /** 测试 **/
    TEXT("", "dnjTqmqr7OsnOXJR_SikVNNQOPSZLJ6pcDoysOksjNQ"),

    NORMAL_ORDER("", "dnjTqmqr7OsnOXJR_SikVCa9lzVlYx3EdFBdu6DNEdk"),
    /** 拒单 **/
    REJECT_ORDER("", "lJUpyU7h6ipzjgBCdLW0vShjaG3uPxPZ4tQNwfv_XPM"),
    /** 新工单  默认 **/
    DEFAULT_ORDER("", "dnjTqmqr7OsnOXJR_SikVOyDJbbVjdfiDXCHbs4xDfM"),
    /**售后工单待处理提醒**/
    AFTER_SALES_ORDER("", "2uC9_lXInXg0_7Bu7N6YVPuCgDKvosCc30p7r6ftx1c"),
    /**售后工单待处理提醒**/
    AFTER_SALES_TIMEOUT_ORDER("", "2uC9_lXInXg0_7Bu7N6YVBOgolTxaNcwRXQPF0H-Di0"),
    /**服务工单超时通知**/
    TIMEOUT_ORDER("", "xdWLWqUbNY2iPYSDxG04Dr2fSTktqXN23xsoBU_9zhc"),
    /** 一小时订单   工单处理提醒*/
    ONEHOUR_ORDER("", "HZ1R0FU7Zn6C-bxG3X6yPnhq2beT5MhRZHtnS8PifiA"),
    /** 急报 **/
    WARN_ORDER("", "0RSuVHHP_okErJ1acQmIirBU7TrQYR0xPBgBHyt_azA"),

    /** 默认工单处理提醒 **/
    DEFAULT_HANDLE_ORDER("", "HZ1R0FU7Zn6C-bxG3X6yPmbyLf-ej02Dit9oKtfbSS4"),
    /** 超时消息通知 */
//    OVER_TIME("","8I5BnJMfwj-Z7udhNm9Z-kdjdg4__MV5ug1x8KKsbc0"),
    /** 今日单消息通知 */
//    TODAY_ORDER("", "yqd3p4qsqn1RiyUb8kO4dPqoGKipRQg_y99nGw0jtLE"),
    /** 明日单通知   工单处理提醒*/
    TOMORROW_ORDER("", "HZ1R0FU7Zn6C-bxG3X6yPmbyLf-ej02Dit9oKtfbSS4");
    /** 不同意排单通知 */
//    NOT_AGREE_PLAIN("", "yqd3p4qsqn1RiyUb8kO4dPqoGKipRQg_y99nGw0jtLE"),
    /** 不同意完单通知 */
//    NOT_AGREE_FINISH("","Yd2PJIdgBhEadi3EkAGyS4DiFp1Rd5ErsEs_jEt-HX4"),
    /** 子师傅拒绝接单/退单通知 */
//    DETAIL_REJECT("", "Yd2PJIdgBhEadi3EkAGyS4DiFp1Rd5ErsEs_jEt-HX4")


    private String type;
    private String tempCode;

     WxMsgEnum(String type, String tempCode) {
        this.type = type;
        this.tempCode = tempCode;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTempCode() {
        return tempCode;
    }

    public void setTempCode(String tempCode) {
        this.tempCode = tempCode;
    }
}
